
From: Joe Thornber <thornber@sistina.com>

Some architectures define an extern function called resume(), which
clashes with a static function in dm-ioctl-v4.c.  Rename static one to
do_resume().


 25-akpm/drivers/md/dm-ioctl-v4.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/md/dm-ioctl-v4.c~dm-7-rename-resume drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~dm-7-rename-resume	Thu Jul 31 11:33:09 2003
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	Thu Jul 31 11:33:09 2003
@@ -594,7 +594,7 @@ static int dev_rename(struct dm_ioctl *p
 	return dm_hash_rename(param->name, new_name);
 }
 
-static int suspend(struct dm_ioctl *param)
+static int do_suspend(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct mapped_device *md;
@@ -613,7 +613,7 @@ static int suspend(struct dm_ioctl *para
 	return r;
 }
 
-static int resume(struct dm_ioctl *param)
+static int do_resume(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct hash_cell *hc;
@@ -676,9 +676,9 @@ static int resume(struct dm_ioctl *param
 static int dev_suspend(struct dm_ioctl *param, size_t param_size)
 {
 	if (param->flags & DM_SUSPEND_FLAG)
-		return suspend(param);
+		return do_suspend(param);
 
-	return resume(param);
+	return do_resume(param);
 }
 
 /*

_
